Stretch Upgrade - Brother HL-2270DW Printer

Getting your soundcard to work, using Debian on non-i386 hardware, etc

Stretch Upgrade - Brother HL-2270DW Printer

Postby dweebian » 2017-07-23 04:40

Hi, I was looking at upgrade from Jessie to Stretch. However, I wanted to make sure first my printer drivers will work. I have the cupswrapper and lpr drivers installed. I think they came from:

http://support.brother.com/g/s/id/linux ... #HL-2270DW

Are these drivers such that they will survive the upgrade. Or if I have to reinstall them, will it matter that I am running Stretch instead of Jessie?

I also get this curious message:

Code: Select all
root@nightshade:~# dpkg --audit
The following packages have an unknown foreign architecture, which will
cause dependency issues on front-ends. This can be fixed by registering
the foreign architecture with dpkg --add-architecture:
 brgenml1cupswrapper  Brother BrGenML1 CUPS wrapper driver
 brgenml1lpr          Brother BrGenML1 LPR driver
 cupswrapperhl2270dw  Brother HL2270DW CUPS wrapper driver
 hl2270dwlpr          Brother HL-2270DW LPR driver

root@nightshade:~# dpkg --print-architecture
amd64

root@nightshade:~# dpkg -s brgenml1cupswrapper
Package: brgenml1cupswrapper
Status: install ok installed
Priority: extra
Section: Brother
Installed-Size: 116
Maintainer: Brother Industries,Ltd
Architecture: i386
Version: 3.1.0-1
Description: Brother BrGenML1 CUPS wrapper driver
 Brother BrGenML1 CUPS wrapper driver
 .
 (Converted from a rpm package by alien version 8.64.)


Not sure if that is something to be concerned about.
dweebian
 
Posts: 1
Joined: 2017-07-23 04:32

Re: Stretch Upgrade - Brother HL-2270DW Printer

Postby steve_v » 2017-07-23 06:47

dweebian wrote:Hi, I was looking at upgrade from Jessie to Stretch. However, I wanted to make sure first my printer drivers will work. I have the cupswrapper and lpr drivers installed.

FWIW, I have similar drivers installed, from the same source. My HL-3040CN still works.
No promises though, those Brother drivers are weird, and getting pretty old now.
Trying it for yourself shouldn't be a problem, you do have backups, right?
steve_v
 
Posts: 522
Joined: 2012-10-06 05:31
Location: New Zealand

Re: Stretch Upgrade - Brother HL-2270DW Printer

Postby shep » 2017-07-23 15:25

The Brother HL-2270DW also supports Printer Command Language 6 (PCL6). The ghostscript pxlmono (PCL6) printer utility, which is opensource, will always be available. I generated an HL-2270DW pxlmono based ppd using this guide. If ghostscript is installed, you do not need any wrapper scripts from Brother.

This ppd supports duplex, several resolutions, landscape and envelope printing.

I tried to upload as an attachment but had a message that the board attachment quota has been reached. If you pm me, I can email it to you.
shep
 
Posts: 137
Joined: 2011-03-15 15:22


Return to Hardware

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable